# frozen_string_literal: true
module NexClient
  class Addon < BaseResource
    property :created_at, type: :time
    property :updated_at, type: :time

    # PATCH <api_root>/addons/:id/restart
    custom_endpoint :restart, on: :member, request_method: :patch

    # GET <api_root>/addons/:id/logs
    custom_endpoint :logs, on: :member, request_method: :get

    # PATCH <api_root>/addons/:id/scale_up
    custom_endpoint :scale_up, on: :member, request_method: :patch

    # PATCH <api_root>/addons/:id/scale_down
    custom_endpoint :scale_down, on: :member, request_method: :patch
  end
end
