# frozen_string_literal: true
require 'colorize'

module NexClient
  module Commands
    autoload :Addons, 'nex_client/commands/addons'
    autoload :Apps, 'nex_client/commands/apps'
    autoload :CubeInstances, 'nex_client/commands/cube_instances'
    autoload :CubeTemplates, 'nex_client/commands/cube_templates'
    autoload :Domains, 'nex_client/commands/domains'
    autoload :ExecTasks, 'nex_client/commands/exec_tasks'
    autoload :Helpers, 'nex_client/commands/helpers'
    autoload :Organizations, 'nex_client/commands/organizations'
    autoload :Racks, 'nex_client/commands/racks'
    autoload :SslCertificates, 'nex_client/commands/ssl_certificates'
    autoload :Users, 'nex_client/commands/users'
  end
end
