# frozen_string_literal: true
module NexClient
  class Organization < BaseResource
    property :created_at, type: :time
    property :updated_at, type: :time

    # POST <api_root>/organizations/:id/create_api_user
    custom_endpoint :create_api_user, on: :member, request_method: :post
  end
end
