module NexClient
  module ResourceWorkflow
    self.included do
      # PATCH <api_root>/<resource>/:id/provision
      custom_endpoint :provision, on: :member, request_method: :patch

      # PATCH <api_root>/<resource>/:id/start
      custom_endpoint :start, on: :member, request_method: :patch

      # PATCH <api_root>/<resource</:id/stop
      custom_endpoint :stop, on: :member, request_method: :patch

      # PATCH <api_root>/<resource</:id/restart
      custom_endpoint :restart, on: :member, request_method: :patch
    end
  end
end
