# frozen_string_literal: true
module NexClient
  class RoutingRack < BaseResource
    property :created_at, type: :time
    property :updated_at, type: :time
    property :private_ip_address, type: :string

    # Alias method does not seem to work properly
    def name
      private_ip_address
    end
  end
end
