# frozen_string_literal: true
module NexClient
  class StorageRack < BaseResource
    property :created_at, type: :time
    property :updated_at, type: :time
    property :total_su, type: :int
    property :available_su, type: :int
    property :used_su, type: :int
    property :private_ip_address, type: :string

    # Alias method does not seem to work properly
    def name
      private_ip_address
    end
  end
end
