# frozen_string_literal: true
require 'json_api_client'
require 'active_support/all'
require 'nex_client/version'
require 'launchy'

module NexClient
  autoload :Addon, 'nex_client/addon'
  autoload :App, 'nex_client/app'
  autoload :BaseResource, 'nex_client/base_resource'
  autoload :ComputeRack, 'nex_client/compute_rack'
  autoload :CubeInstance, 'nex_client/cube_instance'
  autoload :CubeTemplate, 'nex_client/cube_template'
  autoload :Domain, 'nex_client/domain'
  autoload :Event, 'nex_client/event'
  autoload :ExecTask, 'nex_client/exec_task'
  autoload :GatewayRack, 'nex_client/gateway_rack'
  autoload :Me, 'nex_client/me'
  autoload :Organization, 'nex_client/organization'
  autoload :RoutingRack, 'nex_client/routing_rack'
  autoload :SslCertificate, 'nex_client/ssl_certificate'
  autoload :StorageRack, 'nex_client/storage_rack'
  autoload :User, 'nex_client/user'
end
